Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1667 - gtcd crashes when any gtk pixmap theme is used
Summary: gtcd crashes when any gtk pixmap theme is used
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-media
Version: 1.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-22 12:28 UTC by witten
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-14 18:09:09 UTC


Attachments (Terms of Use)

Description witten 1999-03-22 12:28:02 UTC
If any gtk theme is in use that has pixmaps, and gtcd is
run, it crashes with the following error:

Gdk-ERROR **: BadPixmap (invalid Pixmap parameter)
  serial 803 error_code 4 request_code 56 minor_code 0

aborting...
Aborted

If gtcd is already open, and the current gtk theme is then
switched from a non-pixmap theme to a pixmap theme, there's
no problem. The crash only occurs when opening gtcd while a
pixmap theme is in use.

Comment 1 Michael Fulbright 1999-03-22 18:26:59 UTC
I was able to verify this with the Pixmap and Marble3D themes
using the Starbuck release.

Comment 2 Anonymous 1999-04-01 00:36:59 UTC
cant verify on test machine - works with marble3D theme.

Comment 3 Owen Taylor 1999-04-14 18:09:59 UTC
This has been fixed in recent gnome-libs. (Was a problem
with Imlib and caching of pixmaps)


Note You need to log in before you can comment on or make changes to this bug.